Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 608058 - dev-util/catalyst-3.0_rc2 - cut release and target for stabilization
Summary: dev-util/catalyst-3.0_rc2 - cut release and target for stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: Catalyst (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Catalyst Developers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 531788 434350 473332 481160 526934 538654 559280 567794 608060 615324
  Show dependency tree
 
Reported: 2017-02-02 18:02 UTC by Ben Kohler
Modified: 2018-08-31 19:08 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Kohler gentoo-dev 2017-02-02 18:02:44 UTC
We really need a newer stable catalyst.  It will fix several outstanding bugs in our mainstream stage3s.
Comment 1 Simon 2017-10-23 20:35:35 UTC
Is there any info on what needs to be done before a new release can be made? I don't mind to help and create some PRs to fix things as long as it's clear what needs to be done.

I'm not sure if it even makes sense to keep waiting with the release. If there are no bugs in the 3.0_rc1 release it might make more sense to just release it as 3.0 and then start adding/fixing the other items, right?
Comment 2 Simon 2018-06-28 17:29:58 UTC
@Ben Kohler did you close this bug by accident? No 3.0 version has been stabilized.
Comment 3 Ben Kohler gentoo-dev 2018-06-28 17:32:37 UTC
Hmm I closed this from the standpoint that it's released and in-use by RelEng team.  I will re-open and we can see about getting 3.0.1 marked stable soon.
Comment 4 Simon 2018-06-28 18:13:36 UTC
(In reply to Ben Kohler from comment #3)
> Hmm I closed this from the standpoint that it's released and in-use by
> RelEng team.  I will re-open and we can see about getting 3.0.1 marked
> stable soon.

OK, no problem, just checking :)
I think the majority of the blocked bugs will be solved by the stages being built using the new catalyst, but stabilizing for the people outside of releng that use catalyst would be nice as well :)